Tunploy
APIReferenceDevices

Get a device

GET/devices/{id}

Needs the devices:read scope.

Authorization

apiKey
AuthorizationBearer <token>

An API key: tp_….

In: header

Path Parameters

id*integer

Device ID.

Range1 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/devices/1"
{  "id": 0,  "server_id": 0,  "name": "string",  "external_id": "string",  "metadata": {},  "address": "10.8.0.2",  "public_key": "string",  "client_key": true,  "enabled": true,  "status": "active",  "online": true,  "last_handshake": "2019-08-24T14:15:22Z",  "data_limit": 0,  "limit_period": "monthly",  "period_usage": {    "rx_bytes": 0,    "tx_bytes": 0,    "total_bytes": 0  },  "usage_reset_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "speed_limit": 0,  "month_usage": {    "rx_bytes": 0,    "tx_bytes": 0,    "total_bytes": 0  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "config": "string"}